<template>
  <view class="container" style="height: 100vh; position: relative;">
    <!-- 状态栏占位 -->
    <view :style="{ height: `${statusBarHeight}px` }" v-if="platform !== 'ios'"></view>
    
    <!-- WebView（动态高度） -->
    <web-view 
      :src="url55" 
      :style="{
        height: `calc(100vh - ${statusBarHeight}px - 50px)`,
        width: '100%'
      }"
    ></web-view>
    
    <!-- 自定义 TabBar（固定底部） -->
    <custom-tabbar/>
  </view>
</template>

<script>
import CustomTabbar from '@/components/custom-tabbar.vue';
export default {
  components: { CustomTabbar },
  data() {
    return {
      platform: '',
      statusBarHeight: 0,
      url55: '/'
    };
  },
  onLoad(option) {
    const systemInfo = uni.getSystemInfoSync();
    this.platform = systemInfo.platform;
    this.statusBarHeight = systemInfo.statusBarHeight;
    
    // // 处理 URL
    // let url = decodeURIComponent(option.url);
    // this.url55 = `${url}&type=app`;
  }
};
</script>